# GimpUi.ProcedureDialog.prototype.fill_box

    function fill_box(container_id: String, properties: Array(String)): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_fill_box_list()
    }

Creates and populates a new Gtk.Box with widgets corresponding to every listed properties. If the list is empty, the created box will be filled by the whole list of properties of the associated Gimp.Procedure, in the defined order. This is similar of how GimpUi.ProcedureDialog.prototype.fill works except that it creates a new widget which is not inside dialog itself.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to dialog, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside dialog itself.

container_id

  a container identifier.

properties

  the list of property names.

Returns

  the Gtk.Box representing @property. The object belongs to dialog and must not be freed.